<%@ page extends="com.luna.insight.browser.core.BrowserInsightJSP" %>
<%@ page import="com.techempower.*,
                 com.techempower.gemini.*,
                 com.techempower.gemini.form.*,
                 com.techempower.gemini.browsers.*,
                 java.util.*,
                 com.luna.insight.browser.core.*,
                 com.luna.insight.browser.handlers.*,
                 com.luna.insight.server.TrinityCollectionInfo,
                 com.luna.insight.server.usergroup.UserGroupShell" %>
<%@ include file="include-variables.jsp" %>

<%
Object[]               groupInfo        = (Object[])context.getSessionValue(BrowserInsightConstants.SESSION_GROUPS);
String                 collectionName   = (String)context.getDelivery(BrowserInsightConstants.DELIVERY_COLLECTION_NAME);

String oneTarget     = null;
String doubleEscaped = null;
%>
<!-- JSP: <%=jspName%> -->

<!-- 
</%@ Language=VBScript codepage=950%>
 -->

<!--#include file="connectstring.inc"-->
<!--#include file="utility.inc"-->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<title>Browser Insight v4 --  NewGroup</title>
<%= strHtmlCharsetMetaTag %>
//<%= strJavascriptCode %>

<%@ include file="javascript-error.jsp" %>

<script language='javascript'>
var targets = new Array();
var nTarget = 0;
<%
if (collectionName != null)
{
  oneTarget     = BrowserInsightHelper.escapeForJavaScript(collectionName);
  doubleEscaped = BrowserInsightHelper.replaceSubstrings(oneTarget, "'", "\\'");
%>
targets[nTarget++] = new top.global.MenuItem("<%= oneTarget %>", "top.global.cInsight.gw.SetBottomDataLabel('<%= doubleEscaped %>', true);targetfolder.SetValue('<%= doubleEscaped %>');targettype.SetValue(<%= BrowserInsightGroupAttributes.PERMANENT_GROUP %>);", "");
<%
}
Map userGroupMap = (Map)(groupInfo[1]);
for (Iterator itFolders = userGroupMap.keySet().iterator(); itFolders.hasNext(); )
{
  UserGroupShell ugShell = (UserGroupShell)itFolders.next();
  String sFolderName = ugShell.getName();
  String sCodeKey    = BrowserInsightHelper.escapeForJavaScript(ugShell.getCodeKey());
  sCodeKey           = BrowserInsightHelper.replaceSubstrings(sCodeKey, "'", "\\'");
  boolean bReadOnly   = !ugShell.savePriv;
  if(!bReadOnly)
  {
    oneTarget = BrowserInsightHelper.escapeForJavaScript(sFolderName);
    doubleEscaped = BrowserInsightHelper.replaceSubstrings(oneTarget, "'", "\\'");
%>
    targets[nTarget++] = new top.global.MenuItem("<%= oneTarget %>", "top.global.cInsight.gw.SetBottomDataLabel('<%= doubleEscaped %>', true);targetfolder.SetValue('<%= doubleEscaped %>');targettype.SetValue(<%= BrowserInsightGroupAttributes.USER_SERVER_GROUP %>);targetcode.SetValue('<%= sCodeKey %>');", "");
<%
  }
}
%>
var f;

////////////////////////////////////////////////////////////////////////////////
function Setup()
//
////////////////////////////////////////////////////////////////////////////////
{
  valuebox.GetFocus();
}

function SetTarget(t, n, p)
{
  targettype.SetValue(t);
  targetfolder.SetValue(n);
  if (p)
    targetcode.SetValue(p);
}

////////////////////////////////////////////////////////////////////////////////
function Validate()
//
////////////////////////////////////////////////////////////////////////////////
{
  // check if a target has been selected.
  s = targettype.GetValue();

  if (!s || s == "")
  {
    top.global.cInsight.gw.SetBottomDataLabel("You must select a location.");
    return false;
  }
  //var count;
  s = valuebox.GetValue();
  
  
  // Check if no group name was entered.
  if (!s || s == "" || s == " ")
  {
    top.global.cInsight.gw.SetBottomDataLabel(top.global.cInsight.resourcebundle.GetText("MISSING_GROUP_NAME"));
    return false;
  }
/*
  for(count=0;count<=groups.length;count++)
  {
    if(s == groups[count])
    {
      top.global.cInsight.gw.SetBottomDataLabel(top.global.cInsight.resourcebundle.GetText("NAME_IN_USE"));
      return false;
    }
  }
*/
  return true;
}

////////////////////////////////////////////////////////////////////////////////
function Submit()
//
////////////////////////////////////////////////////////////////////////////////
{
  if(Validate())
  {
    newgroupdialog.Submit();
    top.global.cInsight.gw.SetTopDataLabel("");
    top.global.cInsight.gw.ClearMenuFrame();
  }
  return false;
}

top.global.GroupMenu = new top.global.Menu("group", targets, top.global.style_menunoscroll);

cglabel = new top.global.Label("target", top.global.style_group, self, "Create group in:");
targetfolder = new top.global.Hiddenfield("<%= BrowserInsightConstants.PARAMETER_FOLDER_NAME %>", "");
targetcode   = new top.global.Hiddenfield("<%= BrowserInsightConstants.PARAMETER_CODEKEY %>", "");
targettype = new top.global.Hiddenfield("<%= BrowserInsightConstants.PARAMETER_GROUP_TYPE %>", "");


//dialog 1
newgroupdialog = new top.global.Dialog("newgroupdialogdiv", top.global.style_dialog, self, "javascript:return Submit()");

command = new top.global.Hiddenfield("cmd", "<%= BrowserInsightConstants.CMD_SUBMIT_NEW_GROUP %>");
creategroupbutton = new top.global.DialogButton("cgbutton", top.global.style_submit, "javascript:void Submit()", top.global.cInsight.baseaddress + "<%= inf.getImageDirectory() %>" + top.global.cInsight.resourcebundle.GetText("BUTTON_IMAGE_CREATEGROUP"));
cancelbutton = new top.global.DialogButton("cancelbuttondiv", top.global.style_cancel, "javascript:top.global.cInsight.gw.ClearMenuFrame();top.global.cInsight.gw.SetTopDataLabel(\"\");", top.global.cInsight.baseaddress + "<%= inf.getImageDirectory() %>" + top.global.cInsight.resourcebundle.GetText("BUTTON_IMAGE_CANCEL"));

valuebox = new top.global.Textfield("<%= BrowserInsightConstants.PARAMETER_GROUP_NAME %>", top.global.menuframetbwidth, "");
valuebox2 = new top.global.Hiddenfield("<%= BrowserInsightConstants.PARAMETER_COLLECTION_ID %>",  top.global.cInsight.collection.id);

//alert(top.service.name);
//newgroupdialog.SetTarget( "top.service" );
newgroupdialog.SetTarget("service");
//newgroupdialog.SetAction(top.global.cInsight.baseaddress + "<%= context.getServletCmdURL(BrowserInsightConstants.CMD_SUBMIT_NEW_GROUP) %>");
newgroupdialog.SetAction(top.global.cInsight.baseaddress + "<%= context.getServletURL() %>");

newgroupdialog.AddMember(command, newgroupdialog.DIALOG_BOTH);
newgroupdialog.AddMember(valuebox, newgroupdialog.DIALOG_BOTH);
newgroupdialog.AddMember(new top.global.Spacer(3,1), newgroupdialog.DIALOG_BOTH);
newgroupdialog.AddMember(creategroupbutton, newgroupdialog.DIALOG_LEFT);
newgroupdialog.AddMember(cancelbutton, newgroupdialog.DIALOG_RIGHT);
newgroupdialog.AddMember(valuebox2, newgroupdialog.DIALOG_BOTH);
newgroupdialog.AddMember(targetfolder, newgroupdialog.DIALOG_BOTH);
newgroupdialog.AddMember(targetcode, newgroupdialog.DIALOG_BOTH);
newgroupdialog.AddMember(targettype, newgroupdialog.DIALOG_BOTH);
newgroupdialog.AddMember(new top.global.Spacer(4,1), newgroupdialog.DIALOG_BOTH);
newgroupdialog.AddMember(cglabel, newgroupdialog.DIALOG_LEFT);
newgroupdialog.AddMember(new top.global.Spacer(4,1), newgroupdialog.DIALOG_BOTH);
newgroupdialog.AddMember(top.global.GroupMenu, newgroupdialog.DIALOG_BOTH);

document.write(newgroupdialog.style.cssheader);
document.write(newgroupdialog.style.fontcssheader);
document.write(cancelbutton.style.cssheader);
document.write(cancelbutton.style.fontcssheader);
document.write(creategroupbutton.style.cssheader);
document.write(creategroupbutton.style.fontcssheader);
document.write(cglabel.style.cssheader);
document.write(cglabel.style.fontcssheader);
document.write(top.global.GroupMenu.style.cssheader);
document.write(top.global.GroupMenu.style.fontcssheader);

</script>
</head>

<body bgcolor="black" onLoad="Setup()">

<script language='javascript'>
//alert(newgroupdialog.GetHTML());
document.write(newgroupdialog.GetHTML());
</script>
</body>
</html>
